package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 友链导航对象 friend_link
 * 
 * @author boman
 * @date 2021-12-29
 */
public class FriendLink extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 友链id */
    private Long linkId;

    /** 友链名称 */
    @Excel(name = "友链名称")
    private String linkName;

    /** 友链地址 */
    @Excel(name = "友链地址")
    private String linkSpace;

    /** 友链状态（0正常 1停用） */
    @Excel(name = "友链状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（N代表存在 Y代表删除） */
    private String delFlag;

    public void setLinkId(Long linkId) 
    {
        this.linkId = linkId;
    }

    public Long getLinkId() 
    {
        return linkId;
    }
    public void setLinkName(String linkName) 
    {
        this.linkName = linkName;
    }

    public String getLinkName() 
    {
        return linkName;
    }
    public void setLinkSpace(String linkSpace) 
    {
        this.linkSpace = linkSpace;
    }

    public String getLinkSpace() 
    {
        return linkSpace;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("linkId", getLinkId())
            .append("linkName", getLinkName())
            .append("linkSpace", getLinkSpace())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
